Bug 207849 - Unlabeled fields on network configuration window
Summary: Unlabeled fields on network configuration window
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-24 17:41 UTC by Fred New
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 17:33:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fred New 2006-09-24 17:41:34 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start installing FC6T3
2. Click "Edit" to configure the network settings by hand.
3. Turn off the DHCP button.
  
Actual results:
Two fields appear for both IPV4 and IPV6, but what a person is supposed to put
in the fields is a mystery.  One of them should probably be the IP address, but
which one?  Possibilities for the other field: hostname, gateway, netmask,
number of bits turned on in the netmask, mother's maiden name, hat size, a
telephone number to call in case of emergency.

Expected results:
There should either be labels over the fields, or there should be a HELP button
to give me a clue.  (Yeh, I am often clueless.)

Additional info:
Maybe this would all be clear if I could get past bug# 207640 - Unable to
disable IPv6 support.

Comment 1 David Cantrell 2006-09-25 17:33:16 UTC
Bug #207640 has been fixed in rawhide (post-FC6test3).  I have added labels
above the fields you mention.  The first one is the IP address, the field after
the slash is the network prefix.

For IPv4, you can either specify the dotted-quad netmask for the prefix (e.g.,
255.255.255.0) or you can specify a valid CIDR prefix (integer between 0 and 32).

For IPv6, the only valid value for a prefix is an integer between 0 and 128.


Note You need to log in before you can comment on or make changes to this bug.